import React from 'react';
import { IColors } from '../../utils';
export declare type SelectOption = {
    label: string;
    value: string | number;
};
declare type ISelect = {
    search?: boolean;
    disabledOptions?: Array<SelectOption>;
    borderColor?: string;
};
interface MultipleSelectProps extends ISelect {
    multiple: true;
    value: SelectOption[];
    onChange: (value: SelectOption[]) => void;
}
interface SingleSelectProps extends ISelect {
    multiple?: false;
    value?: SelectOption;
    onChange: (value: SelectOption | undefined) => void;
}
declare type SelectProps = {
    options: SelectOption[];
    color?: IColors;
    placeholder?: string;
} & (SingleSelectProps | MultipleSelectProps);
export declare const Select: React.FC<SelectProps>;
export {};
